coef.fixest {fixest} | R Documentation

## Extracts the coefficients from a `fixest` estimation

### Description

This function extracts the coefficients obtained from a model estimated with `femlm`, `feols` or `feglm`.

### Usage

    ## S3 method for class 'fixest'
    coef(object, ...)

    ## S3 method for class 'fixest'
    coefficients(object, ...)

### Arguments

`object` | A `fixest` object. Obtained using the functions `femlm`, `feols` or `feglm`.
`...` | Not currently used.

### Details

The coefficients are the ones that have been found to maximize the log-likelihood of the specified model. More information can be found on the models from the estimations help pages: `femlm`, `feols` or `feglm`.

Note that if the model has been estimated with clusters, to obtain the cluster coefficients, you need to use the function `fixef.fixest`.

### Value

This function returns a named numeric vector.

### Author(s)

Laurent Berge

### See Also

See also the main estimation functions `femlm`, `feols` or `feglm`. `summary.fixest`, `confint.fixest`, `vcov.fixest`, `esttable`, `esttex`, `fixef.fixest`.

### Examples

    # simple estimation on iris data, clustering by "Species"
    res = femlm(Sepal.Length ~ Sepal.Width + Petal.Length +
                Petal.Width | Species, iris)

    # the coefficients of the variables:
    coef(res)

    # the cluster coefficients:
    fixef(res)

[Package fixest version 0.1.0 Index]